import { FC } from 'react';
import { IProps } from './type';
import './style.css';
/**
 * Editor is the edit-vs-json React component that renders a JSON editor
 * @param {string} [width="100%"] the width of the JSON editor control
 * @param {string} [height="100%"] the height of the JSON editor control
 * @param {string} [initValue=""] the initial JSON string value to populate the editor
 * @param {function(value:string, isValid:boolean)} [onChange] the JSON editor change event handler
 * @param {number} [changeDebounceInterval] the debounce interval in ms for the onChange event
 * @param {function(key:string, callback:function)} [onKeyEntry] the object key entry event handler
 * @param {number} [keyEntryDebounceInterval] the debounce interval in ms for the onKeyEntry event
 * @param {boolean} [locked=false] locks the editor when set to true
 * @constructor
 */
export declare const Editor: FC<IProps>;
